// ClientSocket.cpp : implementation file
//

#include "stdafx.h"
#include "TestServer.h"
#include "ClientSocket.h"
#include "ListenSocket.h"


// CClientSocket

CClientSocket::CClientSocket()
{
}

CClientSocket::~CClientSocket()
{
}


// CClientSocket member functions
void CClientSocket::SetListenSocket(CAsyncSocket* pSocket)
{
	m_pListenSocket = pSocket;
}

void CClientSocket::OnClose(int nErrorCode)
{
	// TODO: Add your specialized code here and/or call the base class
	CSocket::OnClose(nErrorCode);

	// Close
	CListenSocket* pServerSocket = (CListenSocket*)m_pListenSocket;
	pServerSocket->CloseClientSocket(this);
}

void CClientSocket::OnReceive(int nErrorCode)
{
	// TODO: Add your specialized code here and/or call the base class
	char szBuffer[4096];
	::ZeroMemory(szBuffer, sizeof(szBuffer));
	
	// Receive data
	int nLen = Receive(szBuffer, sizeof(szBuffer));

	if(nLen > 0)
	{
		// Send to Client
		Send((void*)&szBuffer, nLen);
	}

	CSocket::OnReceive(nErrorCode);
}
